hledger-1.41: Command-line interface for the hledger accounting system

Safe Haskell | None
Language | Haskell2010

Hledger.Cli.Commands.Aregister

Description

The `aregister` command lists a single account's transactions, like the account register in hledger-ui and hledger-web, and unlike the register command which lists postings across multiple accounts.

Synopsis

- aregistermode :: Mode RawOpts
- aregister :: CliOpts -> Journal -> IO ()
- tests_Aregister :: TestTree

# Documentation

aregistermode :: Mode RawOpts #

aregister :: CliOpts -> Journal -> IO () #

Print an account register report for a specified account.

tests_Aregister :: TestTree #